GETapi.synup.com/api/v4/locations/{locationId}/listings/premium
Get premium listings
This API retrieves all premium listings associated with a specific location.
Response Includes:
- Sync status – Indicates whether the listing is synced successfully.
- Display status – Shows whether the listing is live on the platform.
- Platform details – Includes directories such as Google Maps, Apple Maps, and other listing sites.
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Path
| Name | Type | Required | Description |
|---|---|---|---|
locationId | string | required | Node ID of the location |
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Content-Type | string | required |
Request
Request
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/listings/premium' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json'const res = await fetch('https://api.synup.com/api/v4/locations/:locationId/listings/premium', {
method: 'GET',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
});
const data = await res.json();import requests
res = requests.get(
"https://api.synup.com/api/v4/locations/:locationId/listings/premium",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = res.json()req, _ := http.NewRequest("GET", "https://api.synup.com/api/v4/locations/:locationId/listings/premium", nil)
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Premium listings retrieved successfully |
Example response (generated from the schema)
{
"data": {
"listingsForLocation": [
{
"id": "string",
"databaseId": "string",
"site": {
"id": "string",
"databaseId": "string",
"name": "string",
"url": "string",
"syScore": "string"
},
"syncStatus": "IN_PROGRESS",
"displayStatus": "string",
"actionRequired": true,
"listingUrl": "string",
"connectedAccountId": "string",
"lastUpdate": "string",
"indexStatus": true,
"syncIssue": "string",
"verfied": true
}
]
}
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.listingsForLocation | array of object | optional | |
data.listingsForLocation[].id | string | optional | Node ID of the listing |
data.listingsForLocation[].databaseId | string | optional | Database ID of the listing |
data.listingsForLocation[].site | object | optional | |
data.listingsForLocation[].site.id | string | optional | Node ID of the directory site |
data.listingsForLocation[].site.databaseId | string | optional | Database ID of the directory site |
data.listingsForLocation[].site.name | string | optional | Name of the directory site |
data.listingsForLocation[].site.url | string | optional | URL of the directory site |
data.listingsForLocation[].site.syScore | string | optional | Synup score for the directory |
data.listingsForLocation[].syncStatus | string | optional | Current sync status of the listingIN_PROGRESSSYNCEDFAILEDREQUIRING_ACTIONAVAILABLECOMPLETEDPENDING_APPROVAL |
data.listingsForLocation[].displayStatus | string | optional | Human-readable status message |
data.listingsForLocation[].actionRequired | boolean | optional | Whether user action is required |
data.listingsForLocation[].listingUrl | string | optional | URL of the live listing |
data.listingsForLocation[].connectedAccountId | string | required | gives the connected_account_id its mapped to |
data.listingsForLocation[].lastUpdate | string | required | last updated at date |
data.listingsForLocation[].indexStatus | boolean | required | SOV index status |
data.listingsForLocation[].syncIssue | string | required | error while syncing |
data.listingsForLocation[].verfied | boolean | required | check if this listing is verified |